clr.AddReference("TWC.I2FSharpLib")
from TWC.I2.FS.StarBundle import StarBundleManager

def Run(doc):
	
	root = doc.CreateElement("ChangesetInfo")	
	
	CSversionDoc = StarBundleManager.listFileVersions("Changeset")
	CSversionInfo = doc.ImportNode(CSversionDoc.DocumentElement, True)
	root.AppendChild(CSversionInfo)
	
	MGversionDoc = StarBundleManager.listFileVersions("Managed")
	MGversionInfo = doc.ImportNode(MGversionDoc.DocumentElement, True)
	root.AppendChild(MGversionInfo)
	
	
	doc.DocumentElement.AppendChild(root)